SDL_SetAudioStreamGain(3)

NAME
SDL_SetAudioStreamGain - Change the gain of an audio stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

bool SDL_SetAudioStreamGain(SDL_AudioStream *stream, float gain);

DESCRIPTION
The gain of a stream is its volume; a larger gain means a louder output, with a gain of zero being silence.

Audio streams default to a gain of 1.0f (no change in output).

This is applied during SDL_GetAudioStreamData, and can be continuously changed to create various effects.

FUNCTION PARAMETERS

stream
    the stream on which the gain is being changed.

gain
    the gain. 1.0f is no change, 0.0f is silence.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAudioStreamGain(3)